Debian Bug report logs - #280457
xterm: want terminal contents (and scrollback?) saved when X connection lost

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.org>

Date: Tue, 9 Nov 2004 16:03:04 UTC

Severity: wishlist

Found in version 4.3.0.dfsg.1-8

Fixed in version xterm/270-1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#280457; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: Save terminal data when X connection is lost
Date: Tue, 9 Nov 2004 16:50:03 +0100
Package: xterm
Version: 4.3.0.dfsg.1-8
Severity: normal

When the X connection is lost abnormally, e.g. when the X server
has crashed as in bug#280364, xterm should save the terminal data
(including the lines that are scrolled off the top of the window)
in some way so that the user doesn't lose data.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (900, 'testing'), (200, 'unstable')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.9-powerpc
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1

Versions of packages xterm depends on:
ii  libc6                     2.3.2.ds1-18   GNU C Library: Shared libraries an
ii  libexpat1                 1.95.8-1       XML parsing C library - runtime li
ii  libfontconfig1            2.2.3-1        generic font configuration library
ii  libfreetype6              2.1.7-2.2      FreeType 2 font engine, shared lib
ii  libice6                   4.3.0.dfsg.1-8 Inter-Client Exchange library
ii  libncurses5               5.4-4          Shared libraries for terminal hand
ii  libsm6                    4.3.0.dfsg.1-8 X Window System Session Management
ii  libxaw7                   4.3.0.dfsg.1-8 X Athena widget set library
ii  libxext6                  4.3.0.dfsg.1-8 X Window System miscellaneous exte
ii  libxft2                   2.1.2-6        FreeType-based font drawing librar
ii  libxmu6                   4.3.0.dfsg.1-8 X Window System miscellaneous util
ii  libxpm4                   4.3.0.dfsg.1-8 X pixmap library
ii  libxrender1               0.8.3-7        X Rendering Extension client libra
ii  libxt6                    4.3.0.dfsg.1-8 X Toolkit Intrinsics
ii  xlibs                     4.3.0.dfsg.1-8 X Window System client libraries m
ii  xlibs-data                4.3.0.dfsg.1-8 X Window System client data

-- no debconf information



Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#280457. Full text and rfc822 format available.

Message #8 received at 280457-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 280457-submitter@bugs.debian.org
Subject: Re: Bug#280457: xterm: Save terminal data when X connection is lost
Date: Tue, 9 Nov 2004 12:09:18 -0500
[Message part 1 (text/plain, inline)]
On Tue, Nov 09, 2004 at 05:20:05PM +0100, Vincent Lefevre wrote:
> Package: xterm
> Version: 4.3.0.dfsg.1-8
> Severity: normal
  Severity: wishlist

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#280457. Full text and rfc822 format available.

Message #15 received at 280457-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Thomas Dickey <dickey@radix.net>, control@bugs.debian.org
Cc: 280457-submitter@bugs.debian.org
Subject: Re: Bug#280457: xterm: Save terminal data when X connection is lost
Date: Fri, 10 Dec 2004 03:45:11 -0500
[Message part 1 (text/plain, inline)]
retitle 280457 xterm: want terminal contents (and scrollback?) saved when X connection lost
severity 280457 wishlist
thanks

On Tue, Nov 09, 2004 at 12:09:18PM -0500, Thomas Dickey wrote:
> On Tue, Nov 09, 2004 at 05:20:05PM +0100, Vincent Lefevre wrote:
> > Package: xterm
> > Version: 4.3.0.dfsg.1-8
> > Severity: normal
>   Severity: wishlist

I agree.  :)

Mr. Lefevre:

I get basically this functionality, plus a lot of other useful features, by
using GNU Screen, available in the Debian package "screen".

Except for a vastly annoying problem having to do with the failure of
screen and xterm to cooperate regarding what the primary selection is, I
highly recommend it.

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |    Yeah, that's what Jesus would do.
branden@debian.org                 |    Jesus would bomb Afghanistan. Yeah.
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#280457; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 280457-quiet@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Branden Robinson <branden@debian.org>, 280457-quiet@bugs.debian.org
Subject: Re: Bug#280457: xterm: Save terminal data when X connection is lost
Date: Fri, 10 Dec 2004 10:40:50 +0100
On 2004-12-10 03:45:11 -0500, Branden Robinson wrote:
> >   Severity: wishlist
> 
> I agree.  :)

Well, I considered that losing data (as long as the program has the
control of them) was a bug.

> I get basically this functionality, plus a lot of other useful
> features, by using GNU Screen, available in the Debian package
> "screen".

The (only?) big problem with screen is that one cannot scrollback
with the mouse.

> Except for a vastly annoying problem having to do with the failure of
> screen and xterm to cooperate regarding what the primary selection is,
> I highly recommend it.

Hasn't this primary selection problem just been fixed as a consequence
of the fix for bug 277832?

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#280457. Full text and rfc822 format available.

Message #23 received at 280457-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 280457-submitter@bugs.debian.org
Subject: Re: Bug#280457: xterm: Save terminal data when X connection is lost
Date: Wed, 15 Dec 2004 14:59:14 -0500
[Message part 1 (text/plain, inline)]
On Fri, Dec 10, 2004 at 10:40:50AM +0100, Vincent Lefevre wrote:
> On 2004-12-10 03:45:11 -0500, Branden Robinson wrote:
> > >   Severity: wishlist
> > 
> > I agree.  :)
> 
> Well, I considered that losing data (as long as the program has the
> control of them) was a bug.

No more of a bug than the Linux VCs losing the contents of their
scrollback buffers when the machine is powered off.

Output streams from character devices are not the same sort of "data" for
the purpose of bug severities as the contents of a filesystem.

My opinion, anyway.  You can feel free to start an argument about this on
-devel, or appeal my decision to the Technical Committee.  Except they punt
on most BTS wars, so you may just have to live with my decision.  ;-)

> The (only?) big problem with screen is that one cannot scrollback with
> the mouse.

If screen is linked against ncurses, it may be a "simple mattter of
programming" to enable sensitivity to mouse actions for it, similarly to
lynx.

> > Except for a vastly annoying problem having to do with the failure of
> > screen and xterm to cooperate regarding what the primary selection is,
> > I highly recommend it.
> 
> Hasn't this primary selection problem just been fixed as a consequence
> of the fix for bug 277832?

I'm not convinced yet that it has been fixed to my personal satisfaction.

(That said, I'm a real nitpicky bastard when it comes to the primary
selection, and I may end up just have to eat what Thomas Dickey feeds me.
:) )

-- 
G. Branden Robinson                |    The errors of great men are
Debian GNU/Linux                   |    venerable because they are more
branden@debian.org                 |    fruitful than the truths of little
http://people.debian.org/~branden/ |    men.         -- Friedrich Nietzsche
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#280457; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #28 received at 280457-quiet@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Branden Robinson <branden@debian.org>, 280457-quiet@bugs.debian.org
Subject: Re: Bug#280457: xterm: Save terminal data when X connection is lost
Date: Wed, 15 Dec 2004 22:59:42 +0100
On 2004-12-15 14:59:14 -0500, Branden Robinson wrote:
> Output streams from character devices are not the same sort of
> "data" for the purpose of bug severities as the contents of a
> filesystem.

OK.

> > The (only?) big problem with screen is that one cannot scrollback
> > with the mouse.
> 
> If screen is linked against ncurses, it may be a "simple mattter of
> programming" to enable sensitivity to mouse actions for it,
> similarly to lynx.

But that would not be as good as real scrolling, using a real scrollbar.

> > Hasn't this primary selection problem just been fixed as a consequence
> > of the fix for bug 277832?
> 
> I'm not convinced yet that it has been fixed to my personal satisfaction.

True. Once I could try, I didn't see any difference. That's why
I reopened the bug.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#280457. Full text and rfc822 format available.

Message #31 received at 280457-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 280457-submitter@bugs.debian.org
Subject: Re: Bug#280457: xterm: Save terminal data when X connection is lost
Date: Thu, 23 Dec 2004 18:53:17 -0500
[Message part 1 (text/plain, inline)]
On Wed, Dec 15, 2004 at 10:59:42PM +0100, Vincent Lefevre wrote:
> On 2004-12-15 14:59:14 -0500, Branden Robinson wrote:
> > If screen is linked against ncurses, it may be a "simple mattter of
> > programming" to enable sensitivity to mouse actions for it,
> > similarly to lynx.
> 
> But that would not be as good as real scrolling, using a real scrollbar.

Either way, what you have here is a bug report/feature request against GNU
screen, not XTerm.  :)

> > > Hasn't this primary selection problem just been fixed as a consequence
> > > of the fix for bug 277832?
> > 
> > I'm not convinced yet that it has been fixed to my personal satisfaction.
> 
> True. Once I could try, I didn't see any difference. That's why
> I reopened the bug.

Well, gnome-terminal seems to have gotten Thomas Dickey pondering a further
enhancement to XTerm's handling of primary selections, so I may end up
happy as well.

-- 
G. Branden Robinson                |     When I die I want to go peacefully
Debian GNU/Linux                   |     in my sleep like my ol' Grand
branden@debian.org                 |     Dad...not screaming in terror like
http://people.debian.org/~branden/ |     his passengers.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#280457; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #36 received at 280457@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: 280457@bugs.debian.org, 280457-quiet@bugs.debian.org
Subject: Re: Bug#280457: xterm: Save terminal data when X connection is lost
Date: Sat, 25 Dec 2004 00:32:37 +0100
On 2004-12-23 18:53:17 -0500, Branden Robinson wrote:
> On Wed, Dec 15, 2004 at 10:59:42PM +0100, Vincent Lefevre wrote:
> > On 2004-12-15 14:59:14 -0500, Branden Robinson wrote:
> > > If screen is linked against ncurses, it may be a "simple mattter of
> > > programming" to enable sensitivity to mouse actions for it,
> > > similarly to lynx.
> > 
> > But that would not be as good as real scrolling, using a real
> > scrollbar.
> 
> Either way, what you have here is a bug report/feature request
> against GNU screen, not XTerm. :)

Do you mean that when I click on a scrollbar, XTerm is able to send
the corresponding data to the process that controls the terminal
instead of handling the scrolling on its side as usual?

Merry Christmas!

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Information stored:
Bug#280457; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Fri, 03 Jun 2011 11:48:02 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. (Fri, 03 Jun 2011 11:48:03 GMT) Full text and rfc822 format available.

Message #46 received at 280457-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 280457-close@bugs.debian.org
Subject: Bug#280457: fixed in xterm 270-1
Date: Fri, 03 Jun 2011 11:44:41 +0000
Source: xterm
Source-Version: 270-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_270-1.diff.gz
  to main/x/xterm/xterm_270-1.diff.gz
xterm_270-1.dsc
  to main/x/xterm/xterm_270-1.dsc
xterm_270-1_amd64.deb
  to main/x/xterm/xterm_270-1_amd64.deb
xterm_270.orig.tar.gz
  to main/x/xterm/xterm_270.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 280457@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 Jun 2011 00:05:53 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 270-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 280457 612978
Changes: 
 xterm (270-1) unstable; urgency=low
 .
   * New upstream release:
     - Add printModeOnXError and printFileOnXError resources, which allow
       the user to specify that xterm will write the contents of its screen
       to a file if it is exiting due to an X error (Closes: #280457).
     - Fix translations vs. fullscreen initializations to handle a corner
       case (Closes: #612978).
Checksums-Sha1: 
 26525f7097817658f953ed789b2526b4d498fe1f 1354 xterm_270-1.dsc
 fac50553bff353bef3ead91bdb969e60279a897e 965529 xterm_270.orig.tar.gz
 fd68b7afc204e19a4c1483122a1ae0f28db2d121 90132 xterm_270-1.diff.gz
 53aaf032f14d88f37b9a9b0a5674739e966bc070 577234 xterm_270-1_amd64.deb
Checksums-Sha256: 
 00c77ae60338991ace17536dd7855edac49d3c9264fd9b6de781afa14ebfe38a 1354 xterm_270-1.dsc
 598ddceba914a7a418f91c1879edb4627a8bf272dddb77a4d0e964e212958f3c 965529 xterm_270.orig.tar.gz
 12f0f2dd96bf0c9d40ce2de15c98b2019e4e5d23437a6c38f5986bf110883eff 90132 xterm_270-1.diff.gz
 cd1f8cf9cc395f0898b9223aa6eba81e73aa9f7195e43c7f5eeeb9f8d7253c6a 577234 xterm_270-1_amd64.deb
Files: 
 a98ecf8d37ec40982ab9632ac91b797c 1354 x11 optional xterm_270-1.dsc
 92d654f3aa4ad694a4f61d980d14c24b 965529 x11 optional xterm_270.orig.tar.gz
 03e962ea64feda7c1c681241df4de8b2 90132 x11 optional xterm_270-1.diff.gz
 5696dd49456a493636b9d4549686ae85 577234 x11 optional xterm_270-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3oECcACgkQeGfVPHR5Nd2MmQCgwyxTbyS1FEw2cNZEXq/75VG8
HVoAnj7WgnzLFAE9UnJ1VGWcl5JsN673
=+F+S
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#280457; Package xterm. (Sun, 05 Jun 2011 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 05 Jun 2011 01:33:03 GMT) Full text and rfc822 format available.

Message #51 received at 280457@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 280457@bugs.debian.org
Subject: xterm: want terminal contents (and scrollback?) saved when X connection lost
Date: Sun, 5 Jun 2011 03:31:24 +0200
On 2011-06-03 11:48:03 +0000, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the xterm package:
> 
> #280457: xterm: want terminal contents (and scrollback?) saved when X connection lost
> 
> It has been closed by Cyril Brulebois <kibi@debian.org>.
[...]
> Changes: 
>  xterm (270-1) unstable; urgency=low
>  .
>    * New upstream release:
>      - Add printModeOnXError and printFileOnXError resources, which allow
>        the user to specify that xterm will write the contents of its screen
>        to a file if it is exiting due to an X error (Closes: #280457).
[...]

Thanks, but I wonder whether it is intentional to have a fixed
filename, as if one has several xterm windows open to the same
server and the X connection is lost, only one window will be
saved to the file. One can use a wrapper, though, e.g.:

#!/bin/sh

exec "/usr/bin/`basename "$0"`" -xrm \
  "*printFileOnXError: $HOME/private/xterm-saved-`date +%s`-$$" "$@"

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#280457; Package xterm. (Sun, 05 Jun 2011 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 05 Jun 2011 11:00:05 GMT) Full text and rfc822 format available.

Message #56 received at 280457@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>, 280457@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#280457: xterm: want terminal contents (and scrollback?) saved when X connection lost
Date: Sun, 5 Jun 2011 06:46:55 -0400 (EDT)
On Sun, 5 Jun 2011, Vincent Lefevre wrote:

> On 2011-06-03 11:48:03 +0000, Debian Bug Tracking System wrote:
>> This is an automatic notification regarding your Bug report
>> which was filed against the xterm package:
>>
>> #280457: xterm: want terminal contents (and scrollback?) saved when X connection lost
>>
>> It has been closed by Cyril Brulebois <kibi@debian.org>.
> [...]
>> Changes:
>>  xterm (270-1) unstable; urgency=low
>>  .
>>    * New upstream release:
>>      - Add printModeOnXError and printFileOnXError resources, which allow
>>        the user to specify that xterm will write the contents of its screen
>>        to a file if it is exiting due to an X error (Closes: #280457).
> [...]
>
> Thanks, but I wonder whether it is intentional to have a fixed
> filename, as if one has several xterm windows open to the same
> server and the X connection is lost, only one window will be
> saved to the file. One can use a wrapper, though, e.g.:

I could extend it, e.g., by looking for "|" or ">" at the beginning, to 
specify a file or a pipe.  Also, I could extend it by making that a 
printf/mktime template, to provide the timestamp and whatever directly.
At the moment, I'm not sure which is the most useful.

(I considered a dialog, but realized that wouldn't work for the general X 
error case).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#280457; Package xterm. (Sun, 05 Jun 2011 11:30:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 05 Jun 2011 11:30:25 GMT) Full text and rfc822 format available.

Message #61 received at 280457@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 280457@bugs.debian.org, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#280457: xterm: want terminal contents (and scrollback?) saved when X connection lost
Date: Sun, 5 Jun 2011 13:27:49 +0200
On 2011-06-05 06:46:55 -0400, Thomas Dickey wrote:
> I could extend it, e.g., by looking for "|" or ">" at the beginning, to
> specify a file or a pipe.  Also, I could extend it by making that a
> printf/mktime template, to provide the timestamp and whatever directly.
> At the moment, I'm not sure which is the most useful.

IMHO, providing a prefix (the suffix could be like what is
generated for log files) would be sufficient.

I also wonder whether the permissions should be set to 600
(file readable/writable only by the user).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Jul 2011 07:33:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:26:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.